Bug 230136 - devel/py-os-brick: Update to 2.5.3
Summary: devel/py-os-brick: Update to 2.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks: 232244 232245
  Show dependency treegraph
 
Reported: 2018-07-29 05:13 UTC by Nathan
Modified: 2019-01-11 13:10 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
update (1.37 KB, patch)
2018-07-29 05:13 UTC, Nathan
no flags Details | Diff
py-os-brick-2.3.4.patch (9.34 KB, patch)
2018-10-14 12:54 UTC, Kai
freebsd_ports: maintainer-approval? (alexander.nusov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-29 05:13:57 UTC
Created attachment 195579 [details]
update
Comment 1 Nathan 2018-07-29 14:05:43 UTC
Couldn't find RelNotes for 2.5.3, but found some leading from portversion until 2.4.0:

1.11.1¶
Bug Fixes¶

    Add support to use custom Ceph keyring files (previously os-brick hardcoded using /etc/ceph/<cluster>.client.<user>.keyring file).

1.14.0¶
New Features¶

    Support for setting the scan mode on the Open-iSCSI initiator. If installed iscsiadm supports this feature OS-Brick will set all it’s new sessions to manual scan.

    New parameters on disconnect_volume named force and ignore_errors can be used to let OS-Brick know that data loss is secondary to leaving a clean system with no leftover devices. If force is not set, or set to False, preventing data loss will take priority. Currently only iSCSI implements these new parameters.

Deprecation Notes¶

    The direct use of the encryption provider classes such as os_brick.encryptors.luks.LuksEncryptor continues to be deprecated and will now be blocked in the Queens release of os-brick. The use of out of tree encryption provider classes also continues to be deprecated and will also be blocked in the Queens release of os-brick.

Bug Fixes¶

    On systems with scan mode support on open-iSCSI we’ll no longer see unwanted devices polluting our system due to the automatic initiator scan or to AEN/AER messages from the backend.

    iSCSI connect mechanism refactoring to be faster, more robust, more reliable.

    iSCSI disconnect refactoring improves reliability, speed, and thoroughness on leaving a cleaner system after disconnection.

1.12.0¶
New Features¶

    Add Veritas HyperScale connector support

Bug Fixes¶

    Add support to use custom Ceph keyring files (previously os-brick hardcoded using /etc/ceph/<cluster>.client.<user>.keyring file).

2.3.0¶
Bug Fixes¶

    [bug 1722432] Changes the supported_transports to support tcp transport. With this change, we can define an custom iface with tcp transport to limit the storage traffic only be transimitted via storage NIC we specified.
2.4.0¶
New Features¶

    Added ability to extend attached ScaleIO volumes
Comment 2 Kai 2018-10-14 12:54:16 UTC
Created attachment 198131 [details]
py-os-brick-2.3.4.patch

Hello,

attached is the patch that updates devel/py-os-brick to 2.3.4 . This is the latest supported packaged for the OpenStack Queens release according to https://releases.openstack.org/queens/index.html#queens-os-brick .

Changes by upstream:
- https://docs.openstack.org/releasenotes/os-brick/queens.html

Changes to the port:
- added LICENSE_FILE
- removed EXTRAPATCHES because they no longer applies
- sorted variables a bit according to the PHB
- added post-patch target to replace hardcoded occurences of /etc with ${PREFIX}/etc
- added pkg-plist to handle the installation of files into ${ETCDIR} (for this the newly added post-install target is required)
- improved pkg-descr

QA:
~~~
- poudriere (10.4-, 11.2-RELEASE, 12.0-ALPHA9) for each py27 + py36 flavor -> OK
- portlint -> OK
Comment 3 Alexander Nusov 2018-11-04 16:46:08 UTC
Thanks,

if you're actively maintaining OpenStack components you may take ownership over packages.
Comment 4 Kai 2018-11-08 22:42:14 UTC
(In reply to Alexander Nusov from comment #3)

Thank you for your feedback and your offer to let me take over maintainership for the OpenStack packages. I have to think about it a bit and I assume that I can give you are more specific answer when I'm done with emulators/py-nova.

Then all OpenStack major were brought to the Queens Release and should be usable as a whole unit (again) for the community.

So far I have not received much feedback about my OpenStack-related submissions (except your feedback as maintainer) thus I'm not sure how big the interest in the OpenStack ports is. This will be also a factor in my decision about maintaining the OpenStack ports in near future.

Actually the updating of the OpenStack ports were initiated by the need to bring Django from 1.8 to 1.11. www/py-horizon is pretty useless without the core port security/py-keystone, so both ports were updated together some months ago.

I just looked at it as a matter of course to update the remaining OpenStack ports to bring them all to the Queens Release.

Well, as I already mentioned above I will think about it and then let you once I'm done with the emulators/py-nova port.
Comment 5 commit-hook freebsd_committer 2019-01-11 13:10:20 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 13:09:27 UTC 2019
New revision: 489966
URL: https://svnweb.freebsd.org/changeset/ports/489966

Log:
  - Update to 2.3.4
  - Added LICENSE_FILE
  - Removed EXTRAPATCHES because they no longer applies
  - Sorted variables a bit according to the PHB
  - Added post-patch target to replace hardcoded occurences of /etc with ${PREFIX}/etc
  - Added pkg-plist to handle the installation of files into ${ETCDIR} (for this the newly added post-install target is required)
  - Improved pkg-descr

  Changes by upstream:
  - https://docs.openstack.org/releasenotes/os-brick/queens.html

  PR:		230136
  Submitted by:	freebsd_ports@k-worx.org, ndowens@yahoo.com
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/py-os-brick/Makefile
  head/devel/py-os-brick/distinfo
  head/devel/py-os-brick/files/
  head/devel/py-os-brick/pkg-descr
  head/devel/py-os-brick/pkg-plist